Bug 205985 - thunderbird backend disabled due to mem use
thunderbird backend disabled due to mem use
Product: Fedora
Classification: Fedora
Component: beagle (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adel Gadllah
Depends On:
  Show dependency treegraph
Reported: 2006-09-11 04:40 EDT by Han-Wen Nienhuys
Modified: 2009-02-21 11:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-02-21 11:08:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 355549 None None None Never

  None (edit)
Description Han-Wen Nienhuys 2006-09-11 04:40:07 EDT

Beagled is running on startup. FOr reasons I don't understand, beagle grows in
memory enormously while indexing the large Thunderbird Imap cache files. I
usually kill it when it reaches 750m, and my 1gb machine starts trashing

[hanwen@haring ~]$ beagle-status

Count: 14
Status: Waiting for next task.

Pending Tasks:
1 Delayed 0 (9/11/2006 10:30:25 AM)

2 Delayed 0 (9/11/2006 10:30:25 AM)

3 Delayed 0 (9/11/2006 10:30:25 AM)

4 Delayed 0 (9/11/2006 10:30:25 AM)

5 Delayed 0 (9/11/2006 10:30:26 AM)

[hanwen@haring ~]$ ls -l
-rw-rw-r-- 1 hanwen hanwen 180149 Sep 11 10:34

Note that I disabled indexing this directory, but Beagle does not take notice. 
I'm filing a separate bug for that. 

[hanwen@haring ~]$ rpm -q beagle
Comment 1 Alexander Larsson 2006-09-12 04:00:51 EDT
I filed the bug upstream to get the beagle maintainers to see this too:
Comment 2 Alexander Larsson 2006-09-13 04:47:15 EDT
So, beagled (BeagleDaemon.exe) is the one growing, not beagled-helper
Comment 3 Alexander Larsson 2006-09-13 07:02:43 EDT
I'm seeing this too, see upstream bug report. 
The thunderbird indexer just doesn't seem ready for public consumption, so i'm
disabling it for now.

I'll keep this bug around to remember to turn it on again.
Comment 4 Alexander Larsson 2006-09-13 07:57:53 EDT
beagle-0.2.9-4.fc6 has thunderbird disabled.
Comment 6 Matthias Clasen 2007-04-09 18:04:35 EDT
Turning it back on would probably count as a feature freeze break at this point
Comment 7 Sachin Garg 2008-01-31 17:14:34 EST
Can we enable thunderbird support on 3.2.0 version which will be released with fc9
Comment 8 Bug Zapper 2008-05-13 22:20:52 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 9 Adel Gadllah 2009-02-21 11:08:04 EST
Thunderbird support has been enabled for a while.

Note You need to log in before you can comment on or make changes to this bug.